/* QuakeMud, a silly mud using libhacknslash
 * Copyright (C) 2000 David Wynn (aka kismet), of the OSOAL collective
 * send abuse to:    david@osoal.org.nz
 * http requests to: web.osoal.org.nz
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __GAME_H__
#define __GAME_H__

#include <glib.h>
#include <hacknslash/cmd.h>
#include <hacknslash/colors.h>

#define COL_GOOD  COL_LTGREEN
#define COL_BAD   COL_LTRED
#define COL_EVENT COL_LTYELLOW

extern gint     game_frag_limit;
extern gint     game_time_limit;
extern gint     game_port;
extern gint     game_max_clients;
extern gboolean game_weapon_persistance;
extern gboolean game_powerups;

extern gchar   *game_rpassword;

extern gchar   *game_config;

void     game_broadcast   (gint col, gchar *text);
void     game_broadcastf  (gint col, gchar *format,...);

Block_t *game_map_info    (gchar *map);
void     game_maps_list   (Player_t *p);
void     game_map_rotate  ();
void     game_map_change  (gchar *map);
void     game_config_load ();

extern CmdList_t game_cmd_list;
extern CmdList_t limbo_cmd_list;

#endif /* __GAME_H__ */
