/* QuakeMud, a silly mud using libhacknslash
 * Copyright (C) 2000 David Wynn (aka kismet), of the OSOAL collective
 * send abuse to:    david@osoal.org.nz
 * http requests to: web.osoal.org.nz
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __ITEMS_H__
#define __ITEMS_H__

typedef struct Item Item_t;

#include "rooms.h"
#include "players.h"

struct Item
{
  gchar *name;
  gint health;
  gint armor;
  gint weapons;
  gint keys;
  gint ammo[ NUM_AMMO_TYPES ];
  gint powerups[ NUM_POWERUPS ];
  gint spawn_interval; /* time to spawn */
  gint spawn_time;
  gint die_time; /* time to die */
  gboolean always_pickup;
};

/* create a new item of type `name' */
Item_t  *item_new    (gchar *name);

Item_t  *item_alloc  ();

void     item_free   (Item_t *item);

/* returns FALSE if player can't pickup the item */
gboolean item_pickup (Player_t *p, Item_t *item);

#endif /* __ITEMS_H__ */



