/* QuakeMud, a silly mud using libhacknslash
 * Copyright (C) 2000 David Wynn (aka kismet), of the OSOAL collective
 * send abuse to:    david@osoal.org.nz
 * http requests to: web.osoal.org.nz
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "weapons.h"

const gchar *ammo_str[ NUM_AMMO_TYPES ] =
{
  "shells", "nails", "rockets", "cells", "slugs"
};

const gint ammo_max_carry[ NUM_AMMO_TYPES ] = { 100, 200, 50, 200, 50 };

Weapon_t weapons[ NUM_WEAPONS ] =
{
  /* name           #attacks  dam    spl.area  can.hit.self    ammo used per shot
   *                     aim     spl.aim  spl.dam       ammo type
   */
  {"axe",              1, 25,  50,  0,  1,   0,  FALSE, -1,           0},
  {"shotgun",          4, 50,  20,  0,  1,   0,  FALSE, AMMO_SHELLS,  1},
  {"super shotgun",    2, 50,  30,  20, 2,   5,  FALSE, AMMO_SHELLS,  2},
  {"nailgun",          5, 60,  25,  35, 2,   5,  FALSE, AMMO_NAILS,   2},
  {"super nailgun",    6, 70,  30,  35, 2,  10,  FALSE, AMMO_NAILS,   5},
  {"grenade launcher", 3, 40,  50,  40, 5,  50,  TRUE,  AMMO_ROCKETS, 1},
  {"rocket launcher",  3, 45, 100,  35, 3,  30,  TRUE,  AMMO_ROCKETS, 1},
  {"zapgun",           7, 40,  50,  0,  1,   0,  FALSE, AMMO_CELLS,   5},
  {"railgun",          8, 25, 125,  5,  3,  125, FALSE, AMMO_SLUGS,   1},
  {"BFG",              2, 80, 200,  70, 8,  100, TRUE,  AMMO_CELLS,  50},
};

const gchar * weapon_name[ NUM_WEAPONS ] =
{
  "axe",
  "buckshot",
  "buckshot",
  "nails",
  "nails",
  "grenade",
  "rocket",
  "zapgun",
  "railgun",
  "BFG"
};

/* obituary[ weapon ][ 0 ] = obituary string used when one player kills another
 * obituary[ weapon ][ 1 ] = obituary string used when one player kills himself
 *                         = NULL if self-killing with this weapon is impossible
 */
const gchar * obituary[ NUM_WEAPONS ][ 2 ] =
{
  {"\n`%s' was chopped into tiny pieces by `%s'.", NULL},
  {"\n`%s' swallowed a load of `%s's buckshot.", NULL},
  {"\n`%s' swallowed a load of `%s's buckshot.", NULL},
  {"\n`%s' got nailed by `%s'.", NULL},
  {"\n`%s' got perforated by `%s'.", NULL},
  {"\n`%s' chewed on `%s's pineapple.", 
   "\n`%s' chewed on his own pineapple."},
  {"\n`%s' rode `%s's rocket.", 
   "\n`%s' rode his own rocket."},
  {"\n`%s' was electrocuted by `%s'.", NULL},
  {"\n`%s' was railed by `%s'.", NULL},
  {"\n`%s' was melted into hot slag by `%s's BFG.",
   "\n`%s' should have used a smaller weapon."}
};




