/* QuakeMud, a silly mud using libhacknslash
 * Copyright (C) 2000 David Wynn (aka kismet), of the OSOAL tribe
 * send abuse to:    david@osoal.org.nz
 * http requests to: web.osoal.org.nz
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __WEAPONS_H__
#define __WEAPONS_H__

#include <glib.h>

enum
{
  WEAPON_AXE = 0,
  WEAPON_SHOTGUN,
  WEAPON_SSHOTGUN,
  WEAPON_NAILGUN,
  WEAPON_SNAILGUN,
  WEAPON_GLAUNCHER,
  WEAPON_RLAUNCHER,
  WEAPON_ZAPGUN,
  WEAPON_RAILGUN,
  WEAPON_BFG,

  NUM_WEAPONS
};

enum
{
  AMMO_SHELLS = 0,
  AMMO_NAILS,
  AMMO_ROCKETS,
  AMMO_CELLS,
  AMMO_SLUGS,

  NUM_AMMO_TYPES
};

extern const gchar *ammo_str[ NUM_AMMO_TYPES ];
extern const gint   ammo_max_carry[ NUM_AMMO_TYPES ];

typedef struct Weapon Weapon_t;
struct Weapon
{
  gchar *name;
  gint speed;
  gint aim;
  gint damage;
  gint splash_aim;
  gint area;
  gint splash;
  gboolean can_hit_self;
  gint ammo;
  gint ammo_use;
};

extern Weapon_t weapons[ NUM_WEAPONS ];

extern const gchar *weapon_name[ NUM_WEAPONS ];

extern const gchar * obituary[ NUM_WEAPONS ][ 2 ];

#endif /* __WEAPONS_H__ */


